directory = File.dirname(File.absolute_path(__FILE__))
Dir.glob("#{directory}/tracker/**/*.rb") do |file| 
  require file
end

module Sidekiq
	module Tracker
    test = "test"
	end
end

Sidekiq.configure_client do |config|
  config.client_middleware do |chain|
    chain.add Sidekiq::Tracker::Client::Middleware
  end
end

Sidekiq.configure_server do |config|
  config.client_middleware do |chain|
    chain.add Sidekiq::Tracker::Client::Middleware
  end
  config.server_middleware do |chain|
    chain.add Sidekiq::Tracker::Server::Middleware
  end
end